Wan Motion
ပေါင်းစည်းရန်
wan-motion
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-motion?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/wan-motion?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/wan-motion", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/my/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "wan-motion",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Doitong API မှတစ်ဆင့် Wan Motion မော်ဒယ် (wan-motion) ကို ခေါ်ယူပါ။ အေးဂျင့်များအတွက် စာရွက်စာတမ်းများ: https://doitong.com/my/developers/models/wan-motion.md
POST https://api.doitong.com/v1/run/wan-motion?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
Response status သည် "queued" သို့မဟုတ် "running" ဖြစ်ပါက "succeeded" ဖြစ်သည်အထိ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ဖြင့် poll လုပ်ပါ။ ဖိုင်များသည် outputs[].url တွင် ရှိသည်။ လုပ်ဆောင်မီ အတိအကျစျေးနှုန်းရရန် တူညီသော body ဖြင့် POST https://api.doitong.com/v1/quote/wan-motion ကို အသုံးပြုပါ။
နမူနာကဲ့သို့ ဖိုင်များ: ၀.၇၅ $ ၇၅၀ API ခရက်ဒစ် လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်
သင့် API ကီးအသစ်။ ၎င်းကို ယခုတစ်ကြိမ်သာ ပြသထားပြီး ကုဒ်ထဲနှင့် အောက်ပါ API ကီး အကွက်ထဲတွင် ထည့်သွင်းပြီးဖြစ်သည်။ လျှို့ဝှက်ထားပါ—ဘရောက်ဇာတွင် လုပ်ဆောင်သည့် ကုဒ်ထဲသို့ မည်သည့်အခါမျှ မထည့်ပါနှင့်။
Doitong တွင် ဖန်တီးထားသည်
Doitong အသိုင်းအဝိုင်းက Wan Motion ဖြင့် ဖန်တီးထားသော အများပြည်သူသုံး လက်ရာများ။ ပရောမ့်ကို တစ်ချက်နှိပ်၍ ပြန်အသုံးပြုပါ။
ဗီဒီယို
Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...
ဗီဒီယို
Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кухне, мужчина — в комнате и прихожей. Атмосфера обычной советской семьи перед приходом гостей. Голоса: все персонажи говорят по-русски с естественным, выразительным одесским говором. Характерная...
တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်
ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။
/run/wan-motion?wait=20
ကုန်ကျစရိတ် → ၀.၇၅ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-motion?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/wan-motion?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/wan-motion", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "wan-motion",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်
သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်
Wan Motion အကြောင်း
ထည့်သွင်းချက် ၂ ခု လိုအပ်သည်။ လှုပ်ရှားမှုအတွက် `video_url` တွင် မောင်းနှင်ဗီဒီယိုနှင့် ဇာတ်ကောင်၏ အသွင်အပြင်အတွက် `image_url` တွင် ကိုးကားပုံတို့ ဖြစ်သည်။ ရွေးချယ်နိုင်သော `prompt` သည် ထွက်ရလဒ်ကို လမ်းညွှန်သည်။ `adapt_motion` ကို ဖွင့်ထားပါက မောင်းနှင်ဗီဒီယို၏ ကိုယ်ဟန်ကို ကိုးကားဇာတ်ကောင်၏ ကိုယ်ခန္ဓာအချိုးအစားနှင့် ကိုက်ညီအောင် ပြုပြင်ပေးပြီး ကိုယ်ထည်အရွယ်အစားများ မတူညီသည့်အခါ အထောက်အကူပြုသည်။ `enhance_identity` သည် ဇာတ်ကောင်၏ ကိုယ်ပိုင်အမှတ်အသား ပိုမိုတစ်သမတ်တည်းရှိစေရန် ကိုးကားပုံကို ကြိုတင်လုပ်ဆောင်နိုင်သည်။
ပါရာမီတာများ
စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ
video_urlလိုအပ်သည်
video
image_urlလိုအပ်သည်
image
promptရွေးချယ်နိုင်သည်
seedရွေးချယ်နိုင်သည်
accelerationရွေးချယ်နိုင်သည်
adapt_motionရွေးချယ်နိုင်သည်
enhance_identityရွေးချယ်နိုင်သည်
enable_safety_checkerရွေးချယ်နိုင်သည်
ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ
ထွက်ရလဒ်
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "wan-motion",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 750,
"usd": "0.75",
"charged": 750,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"prompt": "woman dancing",
"seed": 42
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ထွက်ရလဒ်၏ Fields များ
- video
- object {url, content_type, file_name, file_size}ဖန်တီးမှုမှ ထွက်ရှိသည့် ဗီဒီယိုဖိုင်။
- prompt
- stringထွက်ရလဒ်ဖန်တီးရန် အသုံးပြုခဲ့သော ပရောမ့်။
- seed
- integerဖန်တီးမှုအတွင်း အသုံးပြုသည့် seed တန်ဖိုး။
နောက်ထပ် မော်ဒယ်များ: ဗီဒီယိုမှ ဗီဒီယို
AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/wan-motion.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt